# Get User Limits GET https://api-gateway-stg.transak.com/api/v2/orders/user-limit The **Get User Limits** is an **authenticated API** call that allows you to **fetch the maximum transaction limits** a user can place over different time periods (1-day, 30-day, 365-day). These limits are determined by **KYC type**, **payment method**, and **fiat currency**, and provides a detailed overview based on **total**, **spent**, **remaining** and **exceeded limits**. Reference: https://docs.transak.com/api/whitelabel/user/get-user-limits ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: whitelabel-api version: 1.0.0 paths: /api/v2/orders/user-limit: get: operationId: get-user-limits summary: Get User Limits description: >- The **Get User Limits** is an **authenticated API** call that allows you to **fetch the maximum transaction limits** a user can place over different time periods (1-day, 30-day, 365-day). These limits are determined by **KYC type**, **payment method**, and **fiat currency**, and provides a detailed overview based on **total**, **spent**, **remaining** and **exceeded limits**. tags: - subpackage_user parameters: - name: isBuyOrSell in: query description: Transaction direction for the limit check. Supported value is BUY. required: true schema: type: string default: BUY - name: paymentCategory in: query description: >- Supported payment method from `/fiat/public/v1/currencies/fiat-currencies` required: true schema: type: string default: credit_debit_card - name: kycType in: query description: Value should be SIMPLE or STANDARD required: true schema: type: string default: SIMPLE - name: fiatCurrency in: query description: >- Supported fiat currency symbol from `/fiat/public/v1/currencies/fiat-currencies` required: true schema: type: string default: GBP - name: authorization in: header description: >- Authorization token is the accessToken received from the API -` api/v2/auth/verify` required: true schema: type: string default: YOUR_USER_AUTH_TOKEN - name: x-user-identifier in: header description: >- Your authenticated user Email Id address. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: false schema: type: string default: USER_EMAIL_ID - name: x-access-token in: header description: > Your Partner Access Token. Please refer [here](/guides/how-to-create-partner-access-token) for a tutorial on generating your access token. Note: This is applicable only for [Auth Reliance Flows](/features/auth-reliance) required: false schema: type: string default: YOUR_ACCESS_TOKEN responses: '200': description: 200 - Success content: application/json: schema: $ref: '#/components/schemas/User_get-user-limits_Response_200' '400': description: 400 - Invalid Payment Method content: application/json: schema: $ref: '#/components/schemas/Get-user-limitsRequestBadRequestError' '401': description: 401 - Unauthorized content: application/json: schema: $ref: '#/components/schemas/Get-user-limitsRequestUnauthorizedError' '500': description: 500 - Internal Server Error content: application/json: schema: $ref: '#/components/schemas/Get-user-limitsRequestInternalServerError' servers: - url: https://api-gateway-stg.transak.com components: schemas: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataLimits: type: object properties: '1': type: number format: double '30': type: number format: double '365': type: number format: double required: - '1' - '30' - '365' title: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataLimits ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataSpent: type: object properties: '1': type: integer '30': type: integer '365': type: integer required: - '1' - '30' - '365' title: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataSpent ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataRemaining: type: object properties: '1': type: number format: double '30': type: number format: double '365': type: number format: double required: - '1' - '30' - '365' title: >- ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataRemaining ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataExceeded: type: object properties: '1': type: boolean '30': type: boolean '365': type: boolean required: - '1' - '30' - '365' title: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataExceeded ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataShortage: type: object properties: {} title: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataShortage ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaData: type: object properties: limits: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataLimits spent: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataSpent remaining: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataRemaining exceeded: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataExceeded shortage: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaDataShortage required: - limits - spent - remaining - exceeded - shortage title: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaData User_get-user-limits_Response_200: type: object properties: data: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaData required: - data title: User_get-user-limits_Response_200 ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaError: type: object properties: statusCode: type: integer message: type: string required: - statusCode - message title: ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaError Get-user-limitsRequestBadRequestError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaError required: - error title: Get-user-limitsRequestBadRequestError Get-user-limitsRequestUnauthorizedError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaError required: - error title: Get-user-limitsRequestUnauthorizedError Get-user-limitsRequestInternalServerError: type: object properties: error: $ref: >- #/components/schemas/ApiV2OrdersUserLimitGetResponsesContentApplicationJsonSchemaError required: - error title: Get-user-limitsRequestInternalServerError ``` ## SDK Code Examples ```python Success import requests url = "https://api-gateway-stg.transak.com/api/v2/orders/user-limit" querystring = {"isBuyOrSell":"BUY","paymentCategory":"credit_debit_card","kycType":"SIMPLE","fiatCurrency":"GBP"} headers = { "authorization": "YOUR_USER_AUTH_TOKEN", "x-user-identifier": "USER_EMAIL_ID", "x-access-token": "YOUR_ACCESS_TOKEN" } response = requests.get(url, headers=headers, params=querystring) print(response.json()) ``` ```javascript Success const url = 'https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP'; const options = { method: 'GET', headers: { authorization: 'YOUR_USER_AUTH_TOKEN', 'x-user-identifier': 'USER_EMAIL_ID', 'x-access-token': 'YOUR_ACCESS_TOKEN' } }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("authorization", "YOUR_USER_AUTH_TOKEN") req.Header.Add("x-user-identifier", "USER_EMAIL_ID") req.Header.Add("x-access-token", "YOUR_ACCESS_TOKEN") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["authorization"] = 'YOUR_USER_AUTH_TOKEN' request["x-user-identifier"] = 'USER_EMAIL_ID' request["x-access-token"] = 'YOUR_ACCESS_TOKEN' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP") .header("authorization", "YOUR_USER_AUTH_TOKEN") .header("x-user-identifier", "USER_EMAIL_ID") .header("x-access-token", "YOUR_ACCESS_TOKEN") .asString(); ``` ```php Success request('GET', 'https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP', [ 'headers' => [ 'authorization' => 'YOUR_USER_AUTH_TOKEN', 'x-access-token' => 'YOUR_ACCESS_TOKEN', 'x-user-identifier' => 'USER_EMAIL_ID', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP"); var request = new RestRequest(Method.GET); request.AddHeader("authorization", "YOUR_USER_AUTH_TOKEN"); request.AddHeader("x-user-identifier", "USER_EMAIL_ID"); request.AddHeader("x-access-token", "YOUR_ACCESS_TOKEN"); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = [ "authorization": "YOUR_USER_AUTH_TOKEN", "x-user-identifier": "USER_EMAIL_ID", "x-access-token": "YOUR_ACCESS_TOKEN" ] let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/orders/user-limit?isBuyOrSell=BUY&paymentCategory=credit_debit_card&kycType=SIMPLE&fiatCurrency=GBP")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```